Subject: Re: my powerbook fails to resume if backlight control is disabled

From: Michael Hanselmann <[email-masked]>
Date: Wed, 4 Apr 2007 21:31:33 +0200

Hi Johannes

On Wed, Apr 04, 2007 at 05:20:40PM +0200, Johannes Berg wrote:
> The thing is that I had turned off some options to the point where I
> had /sys/class/backlight but nothing in it. I don't know for sure what
> exactly these options were, but I do know that CONFIG_PMAC_BACKLIGHT and
> CONFIG_PMAC_BACKLIGHT_LEGACY were off, though that alone shouldn't
> cause /sys/class/backlight/radeonbl0 to disappear.

It can:
config FB_RADEON_BACKLIGHT
    bool "Support for backlight control"
    depends on FB_RADEON && PMAC_BACKLIGHT
    […]

Maybe I can try it during the next weekend.

Greets,
Michael